import { createActionRow, createButton } from '@star-kitten/discord/components';

export function searchActionRow(pageKey: string) {
  return createActionRow(
    createButton('Main', 'main', { disabled: pageKey === 'main' }),
    createButton('Attributes', 'attributes', { disabled: pageKey === 'attributes' }),
    createButton('Fittings', 'fittings', { disabled: pageKey === 'fittings' }),
    createButton('Skills', 'skills', { disabled: pageKey === 'skills' }),
    createButton('Industry', 'industry', { disabled: pageKey === 'industry' }),
  );
}
